{
	"artifacts" : 
	[
		{
			"path" : "Debug/MeshData.dll"
		},
		{
			"path" : "Debug/MeshData.lib"
		},
		{
			"path" : "Debug/MeshData.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"install",
			"target_link_libraries",
			"set_property",
			"_populate_Widgets_target_properties",
			"find_package",
			"add_dependencies",
			"add_compile_options",
			"target_compile_definitions",
			"add_definitions",
			"include_directories"
		],
		"files" : 
		[
			"src/MeshData/CMakeLists.txt",
			"src/CMakeLists.txt",
			"C:/Qt/5.15.2/msvc2019_64/lib/cmake/Qt5Widgets/Qt5WidgetsConfig.cmake",
			"C:/Qt/5.15.2/msvc2019_64/lib/cmake/Qt5/Qt5Config.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 20,
				"parent" : 0
			},
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 58,
				"parent" : 2
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 37,
				"parent" : 0
			},
			{
				"file" : 4
			},
			{
				"command" : 5,
				"file" : 4,
				"line" : 142,
				"parent" : 5
			},
			{
				"file" : 3,
				"parent" : 6
			},
			{
				"command" : 5,
				"file" : 3,
				"line" : 28,
				"parent" : 7
			},
			{
				"file" : 2,
				"parent" : 8
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 207,
				"parent" : 9
			},
			{
				"command" : 3,
				"file" : 2,
				"line" : 44,
				"parent" : 10
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 45,
				"parent" : 0
			},
			{
				"command" : 7,
				"file" : 4,
				"line" : 85,
				"parent" : 5
			},
			{
				"command" : 7,
				"file" : 4,
				"line" : 86,
				"parent" : 5
			},
			{
				"command" : 8,
				"file" : 0,
				"line" : 28,
				"parent" : 0
			},
			{
				"command" : 9,
				"file" : 4,
				"line" : 118,
				"parent" : 5
			},
			{
				"command" : 9,
				"file" : 4,
				"line" : 83,
				"parent" : 5
			},
			{
				"command" : 10,
				"file" : 0,
				"line" : 4,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-DQT_QML_DEBUG /Zi /Ob0 /Od /RTC1 -MDd"
				},
				{
					"backtrace" : 13,
					"fragment" : "/utf-8"
				},
				{
					"backtrace" : 14,
					"fragment" : "/MDd"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 15,
					"define" : "MESHDATA_API"
				},
				{
					"define" : "MeshData_EXPORTS"
				},
				{
					"backtrace" : 16,
					"define" : "OUTPUT_DEBUG_INFO"
				},
				{
					"backtrace" : 4,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_XML_LIB"
				},
				{
					"backtrace" : 17,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 17,
					"define" : "_UNICODE"
				}
			],
			"includes" : 
			[
				{
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/MeshData"
				},
				{
					"path" : "D:/WBFZCPP/source/FastCAE/src/MeshData"
				},
				{
					"backtrace" : 0,
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/MeshData/MeshData_autogen/include"
				},
				{
					"backtrace" : 18,
					"path" : "D:/WBFZCPP/source/FastCAE/src/MeshData/.."
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtWidgets"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtGui"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtANGLE"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtCore"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/./mkspecs/win32-msvc"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtXml"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/VTK/include/vtk-9.3"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					4
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 12,
			"id" : "DataProperty::@ec84555ffa827036bc26"
		},
		{
			"backtrace" : 0,
			"id" : "MeshData_autogen::@2f0f676dafab302b2d20"
		},
		{
			"id" : "MeshData_autogen_timestamp_deps::@2f0f676dafab302b2d20"
		}
	],
	"folder" : 
	{
		"name" : "Modules"
	},
	"id" : "MeshData::@2f0f676dafab302b2d20",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 3,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "D:/WBFZCPP/source/FastCAE/install"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonComputationalGeometry-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonDataModel-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonExecutionModel-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonMath-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonMisc-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonSystem-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonTransforms-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersExtraction-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersGeneral-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersStatistics-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersVerdict-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOLegacy-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOXML-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOXMLParser-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkImagingCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkImagingFourier-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkParallelCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkParallelDIY-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkdoubleconversion-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkexpat-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtklz4-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtklzma-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtksys-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkverdict-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkzlib-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\DataProperty.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Xmld.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Widgetsd.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Guid.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Cored.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "MeshData",
	"nameOnDisk" : "MeshData.dll",
	"paths" : 
	{
		"build" : "src/MeshData",
		"source" : "src/MeshData"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				24
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				25
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/MeshData/MeshData_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/CgnsBCZone.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/CgnsFamily.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/ElementType.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/MeshFactory.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/MeshPy.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshChecker.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshCommon.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshDataAPI.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshKernal.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshSet.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/meshSingleton.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/MeshData/setMember.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/CgnsBCZone.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/CgnsFamily.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/ElementType.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/MeshFactory.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/MeshPy.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/meshChecker.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/meshCommon.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/meshKernal.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/meshSet.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/meshSingleton.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/MeshData/setMember.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/MeshData/MeshData_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/MeshData/MeshData_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "SHARED_LIBRARY"
}
